Skip to main content
POST
/
v1
/
jobs
/
jobs-finder
Jobs Finder
curl --request POST \
  --url https://api.leadmagic.io/v1/jobs/jobs-finder \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "company_name": "LeadMagic",
  "company_website": "https://leadmagic.io",
  "job_title": "Developer",
  "location": "new york",
  "experience_level": "senior",
  "job_description": "python \"software engineer\"",
  "country_id": "US",
  "region_id": 123,
  "job_type_id": 1,
  "company_type_id": 4,
  "company_industry_id": 123,
  "min_employees": 123,
  "max_employees": 123,
  "has_remote": false,
  "posted_within": 30,
  "posted_after": "2023-12-25",
  "posted_before": "2023-12-25",
  "page": 1,
  "per_page": 20
}
'
{
  "total_count": 50,
  "page": 1,
  "per_page": 20,
  "total_pages": 3,
  "credits_consumed": 20,
  "results": [
    {
      "company": {
        "name": "LeadMagic",
        "website_url": "https://leadmagic.io",
        "b2b_profile_url": "leadmagichq",
        "twitter_handle": "leadmagichq",
        "github_url": "https://github.com/leadmagic"
      },
      "title": "Senior Software Engineer",
      "location": "San Jose, San José, Costa Rica",
      "types": [
        {
          "id": 1,
          "name": "Full Time"
        }
      ],
      "cities": [
        {
          "geonameid": 3621849,
          "asciiname": "San Jose",
          "name": "San José",
          "country": {
            "code": "CR",
            "name": "Costa Rica",
            "region": {
              "id": 5,
              "name": "North America"
            }
          },
          "timezone": "America/Costa_Rica",
          "latitude": "9.93333",
          "longitude": "-84.08333"
        }
      ],
      "countries": [
        {
          "code": "CR",
          "name": "Costa Rica",
          "region": {
            "id": 5,
            "name": "North America"
          }
        }
      ],
      "regions": [
        {
          "id": 5,
          "name": "North America"
        }
      ],
      "has_remote": false,
      "published": "2024-07-23T15:25:00Z",
      "description": "",
      "application_url": "https://leadmagic.io/careers",
      "language": "en",
      "clearance_required": false,
      "salary_min": null,
      "salary_max": null,
      "salary_currency": null,
      "experience_level": "Senior Level"
    }
  ]
}

Search Jobs

Search and filter job listings across companies. Find open positions to identify hiring signals, target growing companies, or research market demand.

Endpoint Details

MetricValue
Cost1 credit per job returned
No ResultsFREE if no jobs found
Hiring Signals: Companies with open positions are actively investing and growing - perfect timing for sales outreach.

Quick Example

curl -X POST 'https://api.leadmagic.io/v1/jobs/jobs-finder' \
  -H 'X-API-Key: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
    "job_title": "Sales Director",
    "country_id": "US",
    "posted_within": 14
  }'

Request Parameters

All fields are optional - combine them to filter results:
company_name
string
Company name to search
company_website
string
Company domain
company_type_id
integer
Company type ID (see Company Types)
company_industry_id
integer
Industry ID (see Industries)
min_employees
integer
Minimum company size
max_employees
integer
Maximum company size

Response

total_count
integer
required
Total jobs matching filters
page
integer
required
Current page
per_page
integer
required
Results per page
total_pages
integer
required
Total pages available
credits_consumed
integer
required
Credits used (1 per job returned)
results
array
required
Array of job listings

Job Object

FieldTypeDescription
titlestringJob title
company.namestringCompany name
company.website_urlstringCompany website
company.b2b_profile_urlstringCompany profile URL
locationstringJob location
typesarrayJob types (Full-time, etc.)
experience_levelstringEntry, Mid, Senior, Executive
has_remotebooleanRemote work available
publishedstringPosted date
descriptionstringFull job description
application_urlstringApply link

Example Response

{
  "total_count": 142,
  "page": 1,
  "per_page": 20,
  "total_pages": 8,
  "credits_consumed": 20,
  "results": [
    {
      "title": "VP of Sales",
      "company": {
        "name": "TechCorp Inc",
        "website_url": "https://techcorp.com",
        "b2b_profile_url": "https://linkedin.com/company/techcorp"
      },
      "location": "San Francisco, CA",
      "types": ["Full-time"],
      "experience_level": "Executive",
      "has_remote": true,
      "published": "2024-01-28",
      "description": "Leading enterprise sales team...",
      "application_url": "https://techcorp.com/careers/vp-sales"
    }
  ]
}

Reference Endpoints

Get valid filter IDs from these endpoints (all free, no credits):

Best Practices

Use posted_within: 14 to focus on companies actively hiring right now.
Companies hiring for your buyer’s role have active budget and immediate need.
After finding hiring companies, use Role Finder to find decision makers.
Start with per_page: 20 and paginate. Don’t request large pages you won’t use.

Use Cases

Sales Intelligence

Companies hiring for your buyer persona have active budget.

ABM Targeting

Find companies hiring roles that need your product.

Market Research

Analyze hiring trends across industries.

Recruiting

Discover open positions matching candidate profiles.

Authorizations

X-API-Key
string
header
required

Your LeadMagic API key. Header name is case-insensitive (X-API-Key, X-API-KEY, x-api-key all work).

Body

application/json
company_name
string
default:LeadMagic

Provide the Company Name. (Optional)

company_website
string
default:https://leadmagic.io

Provide the Company Website. (Optional)

job_title
string
default:Developer

Provide the Job Title.

location
string
default:new york

Location of the job

experience_level
string
default:senior

Indicates the required experience level for the job. Choose "entry" for Entry Level, "mid" for Mid Level, "senior" for Senior Level, or "executive" for Executive Level. If not specified, jobs from all experience levels will be included.

job_description
string
default:python "software engineer"

Filters jobs based on specific keywords or phrases found in the job description.

country_id
string
default:US

Filter Jobs By Country. Check this https://docs.leadmagic.io/reference/job-country api to get country id.

region_id
integer

Filter Jobs By Region. Check this https://docs.leadmagic.io/reference/job-region api to get region id.

job_type_id
integer
default:1

Filter Jobs By Types. Check this https://docs.leadmagic.io/reference/job-type api to get job type id.

company_type_id
integer
default:4

Filter Jobs By Company Types. Check this https://docs.leadmagic.io/reference/job-company-type api to get company type id.

company_industry_id
integer

Filter Jobs By Company Industry. Check this https://docs.leadmagic.io/reference/job-industry api to get company industry id.

min_employees
integer

Minimum number of employees

max_employees
integer

Maximum number of employees

has_remote
boolean
default:false

Determines whether the jobs offer remote work options. Set to true to include remote-only listings, or false to include non-remote listings.

posted_within
integer
default:30

Specify the number of days within which the job was posted.

posted_after
string<date>

Filters jobs posted on or after a specific date. Use the format YYYY-MM-DD.

posted_before
string<date>

Filters jobs posted on or before a specific date. Use the format YYYY-MM-DD.

page
integer
default:1

Page number

per_page
integer
default:20

Provide number of results needed per page. (Maximum per_page can be 50)

Response

Successful response with job listings

total_count
integer
default:0
page
integer
default:0
per_page
integer
default:0
total_pages
integer
default:0
credits_consumed
integer
default:0
results
object[]